> ## Documentation Index
> Fetch the complete documentation index at: https://docs.release0.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How-to

> Learn how to find important identifiers like agentId, publicId, workspaceId, and slug for API integration.

## How to find my `agentId`

If you'd like to execute the Agent in preview mode, you will need to provide the ID of the building Agent available in the editor URL:

Sumar link a URL

## How to find my `publicId`

For published Agent execution, you need to provide the public Agent ID available here:

## How to find my `workspaceId`

In your workspace dashboard, head over to **Settings > General > Workspace ID** and copy the workspace ID.

## How to Find my `slug`

The slug is a URL-friendly part of your workspace name and it is also part of your agent URL. To find your slug, follow these steps:

* The three dots next to the agent name in the agent list and click on **Configure**
* Or click the agent name inside the flow editor.

## How to handle stream

If you enabled streaming, whenever an AI message should be streamed, you will receive the following JSON response:

```json theme={null}
{
  "messages": [],
  "clientSideActions": [
    {
      "type": "stream",
      "stream": true,
      "expectsDedicatedReply": true
    }
  ]
}
```

The agent is ready to accept the message streaming. You now need to send the following query:

```sh theme={null}
curl -X POST https://release0.com/api/v2/sessions/{sessionId}/streamMessage
```

Where `{sessionId}` should be replaced by the session ID you got from the start chat response.

This endpoint will send Server-Sent events with all the information to display the streamed message.

Once it is done, you can continue the flow by sending a [continue chat request](./chat/continue-chat) with the streamed message as the message content.

```

> **Note**: Ensure that all IDs (e.g., `AgentId`, `publicId`, `workspaceId`) are correctly obtained and used to avoid errors in execution.
```
